
QGIS Application - Bug report #19867

QGIS crashes on close

2018-09-17 02:08 PM - Karsten Tebling

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27691

Description

User Feedback

Start QGIS -> Open any Project

Project -> Import/Export -> Export Map to Image... -> Draw on canvas -> Close QGIS -> Crash

Report Details

Crash ID: 135f591a608c3a13be0f463b35511e611ff1db74

Stack Trace

QgsMapToolExtent::QgsMapToolExtent :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

QgsVectorLayerProperties::`default constructor closure' :

QgisApp::~QgisApp :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::operator+= :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-09-17 07:45 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

I think this has been solved in qgis master, please give it a try.
#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
